QXmpp: QXmppStanza Class Reference

QXmpp Version:0.7.5

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Functions Variables Enumerations Enumerator Properties Groups
Public Member Functions | List of all members
QXmppStanza Class Reference
Stanzas

The QXmppStanza class is the base class for all XMPP stanzas. More...

`#include <QXmppStanza.h>`

Inheritance diagram for QXmppStanza:

## Public Member Functions
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
virtual | ~QXmppStanza ()
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QString | to () const
void | setTo (const QString &)
QString | from () const
| Returns the stanza's sender JID.
void | setFrom (const QString &)
QString | id () const
| Returns the stanza's identifier.
void | setId (const QString &)
QString | lang () const
| Returns the stanza's language.
void | setLang (const QString &)
QXmppStanza::Error | error () const
| Returns the stanza's error.
void | setError (const QXmppStanza::Error &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)

## Detailed Description

The QXmppStanza class is the base class for all XMPP stanzas.

## Constructor & Destructor Documentation

QXmppStanza::QXmppStanza | ( | const QString & | from = `QString()`,
|  | const QString & | to = `QString()`
| ) |  |

Constructs a QXmppStanza with the specified sender and recipient.

Parameters

  from |
  to |

## Member Function Documentation

QList< QXmppExtendedAddress > QXmppStanza::extendedAddresses | ( |  | ) | const

Returns the stanza's extended addresses as defined by XEP-0033: Extended Stanza Addressing.

QXmppElementList QXmppStanza::extensions | ( |  | ) | const

Returns the stanza's "extensions".

Extensions are XML elements which are not handled internally by QXmpp.

void QXmppStanza::setError | ( | const QXmppStanza::Error & | error | ) |

Sets the stanza's error.

Parameters

  error |

void QXmppStanza::setExtendedAddresses | ( | const QList< QXmppExtendedAddress > & | addresses | ) |

Sets the stanza's extended addresses as defined by XEP-0033: Extended Stanza Addressing.

void QXmppStanza::setExtensions | ( | const QXmppElementList & | extensions | ) |

Sets the stanza's "extensions".

Parameters

  extensions |

void QXmppStanza::setFrom | ( | const QString & | from | ) |

Sets the stanza's sender JID.

Parameters

  from |

void QXmppStanza::setId | ( | const QString & | id | ) |

Sets the stanza's identifier.

Parameters

  id |

void QXmppStanza::setLang | ( | const QString & | lang | ) |

Sets the stanza's language.

Parameters

  lang |

void QXmppStanza::setTo | ( | const QString & | to | ) |

Sets the stanza's recipient JID.

Parameters

  to |

QString QXmppStanza::to | ( |  | ) | const

Returns the stanza's recipient JID.

The documentation for this class was generated from the following files:

- QXmppStanza.h
- QXmppStanza.cpp